---
title: 'Get user metadata'
description: 'This endpoint is used to get user metadata'
openapi: GET /api/users/metadatas
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`GET /api/users/metadatas` — query parameters: `organizationId`, `websiteId`, `userId`, `walletAddress`, `externalIdentifier`, `limit`, `startingAfter`, `userSearch`

`GET https://admin.snagsolutions.io/api/users/metadatas`

This endpoint is used to get user metadata

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Query parameters

- `organizationId` (string) — UUID of the organization
- `websiteId` (string) — UUID of the website
- `userId` (string) — UUID of the user
- `walletAddress` (string) — Wallet address of the user
- `externalIdentifier` (string) — External identifier for the user
- `limit` (integer) — Number of records to fetch
- `startingAfter` (string) — Fetch records starting after this ID
- `userSearch` (string)

## Response 200

200
  - response (object) — Response schema for fetching user metadata
    - `data` (array, required)
      - `items` (object)
        - `id` (string, uuid, required) — Unique identifier for the user metadata
    - `hasNextPage` (boolean, required) — Indicates if there are more records available

## Response 400

400
  - response (object)
    - `message` (string, required, one of: User Already exists, Either walletAddress or userId must be provided, Cannot provide both walletAddress and userId)

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message

## Response 500

500
  - response (object) — Schema for internal server error response
    - `success` (boolean, required) — Indicates operation success
    - `message` (string, required) — Error message
    - `debugInfo` (string) — Optional debug information


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
